MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
UPnPDirContent Class Reference

Image of a MediaServer Directory Service container (directory), possibly containing items and subordinate containers. More...

`#include <Directory.hxx>`

## Public Member Functions
| UPnPDirContent ()=default
| UPnPDirContent (UPnPDirContent &&)=default
| ~UPnPDirContent ()
gcc_pure UPnPDirObject * | FindObject (const char *name)
void | Parse (const char *didltext)
| Parse from DIDL-Lite XML data. More...

## Data Fields
std::vector< UPnPDirObject > | objects

## Detailed Description

Image of a MediaServer Directory Service container (directory), possibly containing items and subordinate containers.

Definition at line 33 of file Directory.hxx.

## Constructor & Destructor Documentation

UPnPDirContent::UPnPDirContent | ( |  | ) |
| default

UPnPDirContent::UPnPDirContent | ( | UPnPDirContent && |  | ) |
| default

UPnPDirContent::~UPnPDirContent | ( |  | ) |

## Member Function Documentation

gcc_pure UPnPDirObject* UPnPDirContent::FindObject | ( | const char * | name | ) |
| inline

Definition at line 43 of file Directory.hxx.

void UPnPDirContent::Parse | ( | const char * | didltext | ) |

Parse from DIDL-Lite XML data.

Normally only used by ContentDirectoryService::readDir() This is cumulative: in general, the XML data is obtained in several documents corresponding to (offset,count) slices of the directory (container). parse() can be called repeatedly with the successive XML documents and will accumulate entries in the item and container vectors. This makes more sense if the different chunks are from the same container, but given that UPnP Ids are actually global, nothing really bad will happen if you mix up...

## Field Documentation

std::vector<UPnPDirObject> UPnPDirContent::objects

Definition at line 35 of file Directory.hxx.

The documentation for this class was generated from the following file:

- db/plugins/upnp/Directory.hxx